package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Ghdadd;
import com.brilliance.isc.vo.model.Nidgrp;
import com.brilliance.isc.vo.model.Nitp;
import com.brilliance.isc.vo.model.Trnmod;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitmjmStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    private Ghdadd ghdadd;

    private Trnmod trnmod;

    private Nitp nitp;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        if (ghdadd == null) {
            ghdadd = new Ghdadd();
        }
        if (trnmod == null) {
            trnmod = new Trnmod();
        }
        if (nitp == null) {
            nitp = new Nitp();
        }
    }
}
